function [model] = posmodel(v_print, freq,v_drop, d,np,n_nozzles,n_rows,shift,m,c,orientation,start_dist)
%v_print Printing/Motion speed in mm/s;
%v_drop Drop Speed in m/s
%Diameter of Cylinder in mm
%np - Nozzle Pitch in mm
%n_nozzles - Nr. of Nozzles;
%pw - Print width
%n_rows – number of rows
%shift – y-shift for correction of data position
%m – slope of regression line
%c – shift in line equation y = mx + c 
%orientation – to flip errordirection
%start_dist – adds this value in mm to the surface distance

pw = np*(n_nozzles-1);
model = zeros(3,n_rows*n_nozzles);
n=1;

l=1;
for k = 0:(n_rows-1)
 xPos =0;
for i = 1:n_nozzles
 surfdist = d/2 - (sqrt((d/2)^2-abs(pw/2-(i-1)*np)^2))+start_dist;
 errPrint=(v_print*surfdist/(v_drop- (v_drop -(m*surfdist+c))/2));
 if errPrint >= 0
    model(1,n)=xPos;
    model(1,n)=model(1,n)*1000;
    model(2,n) = -shift+orientation*errPrint/1000;
    model(2,n)=model(2,n)*1000;
   model(3,n)=surfdist;
 end
  if  errPrint > 250 || errPrint < 0
     model(1,n)=xPos;
    model(1,n)=model(1,n)*1000;
    model(2,n)=-shift+orientation*250/1.000;
    model(2,n)=model(2,n)*1000;

    IDm(l,1)=n;
    l=l+1;
 end
 angle1 = asin(abs(pw/2-(i-1)*np)/(d/2));
 angle2 = asin(abs(pw/2-(i)*np)/(d/2));
 xPos = (xPos + abs(angle2*d/2 - angle1*d/2));
 n=n+1;
end
 model(2,:)=model(2,:)+(abs(v_print)/freq);
end
if  errPrint > 250 || errPrint < 0
IDm = sort(IDm,'descend');
for n=1:(l-1)
    deleteID = [IDm(n,1)]
    model(:,deleteID) = [];
 end
end
end
