clear
data1=dlmread('coordinates_PVN_10pL_80V_55mm.csv',',');
data1=transpose(data1);
dataLim(1,:) = data1(5,:);
dataLim(2,:) = data1(6,:);

% 82730
% 72298
% 69260
modelGesamt1 = posmodel(25.3333,0.1,15.9,110,0.254,256,9,0,-1.5,15.9,-1,1);
modelPart1 = posmodel(25.3333,0.1,15.9,110,0.254,256,1,0,-1.5,15.9,-1,1);
%plot(modelGesamt1(1,:),modelGesamt1(2,:),'r.',dataLim(1,:),dataLim(2,:),'b.');
RESULT1 = splitNres(dataLim,modelGesamt1,modelPart1,69260,110,'PVN 10pL; D = 110;U=80V',150);
writematrix(RESULT1,'result_new.txt','Delimiter','semi');
tol = 0.01;
[vec1,~,idx1] = unique(round(RESULT1(:,10)/tol));
stdDev1 = accumarray(idx1, RESULT1(:,8),[],@std);
out1 = [accumarray(idx1,RESULT1(:,8),[],@mean),vec1*tol,stdDev1];
writematrix(out1,'distance-mean-ydefect_and_stdev_new.txt','Delimiter','semi');

[vec2,~,idx2] = unique(round(RESULT1(:,4)/tol));
stdDev2 = accumarray(idx2, RESULT1(:,8),[],@std);
out2 = [accumarray(idx2,RESULT1(:,8),[],@mean),vec2*tol,stdDev2];
writematrix(out2,'position-mean-ydefect_and_stdev_new.txt','Delimiter','semi');

[vec3,~,idx3] = unique(round(RESULT1(:,4)/tol));
stdDev3 = accumarray(idx3, RESULT1(:,9),[],@std);
out3 = [accumarray(idx3,RESULT1(:,9),[],@mean),vec3*tol,stdDev3];
writematrix(out3,'position-mean-xdefect_and_stdev_new.txt','Delimiter','semi');
[vec4,~,idx4] = unique(round(RESULT1(:,10)/tol));
stdDev4 = accumarray(idx4, RESULT1(:,9),[],@std);
out4 = [accumarray(idx4,RESULT1(:,9),[],@mean),vec4*tol,stdDev4];
writematrix(out4,'distance-mean-xdefect_and_stdev_new.txt','Delimiter','semi');

figure(5)
t=tiledlayout(1,1)
t.Units = 'inches';
nexttile
errorbar(out1(:,2),out1(:,1),out1(:,3),'b.')
xlabel('Distance to surface in mm') 
ylabel('Displacement in print direction in m')
exportgraphics(t,'5_Distance_mean_ydefect_errorbars.pdf','ContentType','vector')
